--- old/usr/src/common/zfs/zfeature_common.c	Mon Oct 29 18:19:31 2012
+++ new/usr/src/common/zfs/zfeature_common.c	Mon Oct 29 18:19:31 2012
@@ -21,6 +21,7 @@
 
 /*
  * Copyright (c) 2012 by Delphix. All rights reserved.
+ * Copyright (c) 2012 Joyent, Inc. All rights reserved.
  */
 
 #ifdef _KERNEL
@@ -156,4 +157,7 @@
 	zfeature_register(SPA_FEATURE_EMPTY_BPOBJ,
 	    "com.delphix:empty_bpobj", "empty_bpobj",
 	    "Snapshots use less space.", B_TRUE, B_FALSE, NULL);
+	zfeature_register(SPA_FEATURE_DS_SS_QUOTA,
+	    "com.joyent:ds_ss_quota", "dataset_quotas",
+	    "Dataset and snapshot quotas.", B_TRUE, B_FALSE, NULL);
 }
